<?php

/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 16/7/20
 * Time: 下午4:16
 */

define('BASE_ROOT_PATH',str_replace('/test','',dirname(__FILE__)));

require_once(BASE_ROOT_PATH . '/fooder.php');


class testQueue extends PHPUnit_Framework_TestCase
{
    public static function setUpBeforeClass()
    {
        Base::run_util();
    }

    public function testPush()
    {
        //{"action":"sendreq","params":null}
        $x['action'] = 'sendreq';
        $x['params'] = array('speed' => 30);

        $y = json_encode($x);

        $param['member_id'] = 36490;
        $param['text']      = "红包退还通知:您发送的红包已超过24小时,退还未被领取的金额1234元，请在收支明细中查看.";
        $param['go_type']   = '';
        QueueClient::push('upushSendMsg',$param);
    }

    public function testOrderSuccess()
    {
        $mod = Model('order');
        $pay_sn = '270563196360813623';
        $order_info = $mod->getOrderInfo(array('pay_sn' => $pay_sn));
        $logic_order = Logic('order');
        $result = $logic_order->changeOrderStateReceive($order_info,'system','系统','超期未收货系统自动完成订单');

    }

    public static function tearDownAfterClass()
    {
    }
}
